 /***************************************************************************
 *   Copyright (c) 2009  Peter Mylemans <peter.mylemans@gmail.com>         *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 *   This program is distributed in the hope that it will be useful,       *
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
 *   GNU General Public License for more details.                          *
 *                                                                         *
 *   You should have received a copy of the GNU General Public License     *
 *   along with this program; if not, write to the                         *
 *   Free Software Foundation, Inc.,                                       *
 *   51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.         *
 ***************************************************************************/

#ifndef CONTEXTVIEW_H
#define CONTEXTVIEW_H

#include <QWidget>
#include <QString>

#include "../models/ContextModel.h"

class ContextView : public QWidget
{
public:
    ContextView() : QWidget(NULL) {}
    virtual ~ContextView() {}

    virtual bool supportsModelType(const QString &identifier) const = 0;

    virtual void updateForModel(ContextModel *model) = 0;

    virtual bool canEdit() { return false; }

    virtual bool canAdd() { return false; }

    virtual void edit() { }

    virtual void add() { }
};

#endif // CONTEXTVIEW_H
