/***************************************************************************
 *   Copyright (C) 2004 by Hans Oischinger                                 *
 *   hans.oischinger@kdemail.net                                           *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 *   This program is distributed in the hope that it will be useful,       *
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
 *   GNU General Public License for more details.                          *
 *                                                                         *
 *   You should have received a copy of the GNU General Public License     *
 *   along with this program; if not, write to the                         *
 *   Free Software Foundation, Inc.,                                       *
 *   51 Franklin Steet, Fifth Floor, Boston, MA 02110-1301, USA.             *
 ***************************************************************************/
#ifndef EFILLCMD_H
#define EFILLCMD_H

#include "ecommand.h"

class ElementNode;
class ElementSelection;
class FillAttribute;
class AnimateNumberElement;
class AnimateColorElement;
class PaintServer;
/**
@author Hans Oischinger
*/
class EFillCMD : public ECommand
{
public:
  EFillCMD( const FillAttribute& f, PaintServer* s = 0 );
  EFillCMD( ElementNode* element, const FillAttribute& f, PaintServer* s = 0 );
  ~EFillCMD();

  virtual bool visit( VectorElement& element );

  void execute();
  void unexecute();

private:
  ElementSelection* m_selection;
  FillAttribute* m_fill;
  FillAttribute* m_oldfill;
  PaintServer* m_newPaintServer;

  AnimateColorElement *m_animFillColor;
  AnimateNumberElement *m_animFillOpacity;
  bool m_removePS;
};

#endif
