/***************************************************************************
 *   Copyright (C) 2004 by Hans Oischinger                                 *
 *   hans.oischinger@kdemail.net                                           *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 *   This program is distributed in the hope that it will be useful,       *
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
 *   GNU General Public License for more details.                          *
 *                                                                         *
 *   You should have received a copy of the GNU General Public License     *
 *   along with this program; if not, write to the                         *
 *   Free Software Foundation, Inc.,                                       *
 *   51 Franklin Steet, Fifth Floor, Boston, MA 02110-1301, USA.             *
 ***************************************************************************/
#ifndef TIMESERVER_H
#define TIMESERVER_H

#include <qobject.h>

class TimeAttribute;
class ElementNode;
/**
@author Hans Oischinger
*/
class TimeServer : public QObject
{
  Q_OBJECT
public:
  TimeServer(QObject *parent = 0, const char *name = 0);
  ~TimeServer();

  double getTime() { return m_time; }
  void setTime( double time );

  /**
   * Calculates the start time of a new animation for the given target
   * @param targetElement target of the new animation
   * @return start time for the new animation
   */
  TimeAttribute calcAnimStartTime( ElementNode* targetElement );

signals:
  void timeChanged();

private:
  double m_time;
};

#endif
