/***************************************************************************
 *   Copyright (C) 2004 by Hans Oischinger                                 *
 *   hans.oischinger@kdemail.net                                           *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 *   This program is distributed in the hope that it will be useful,       *
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
 *   GNU General Public License for more details.                          *
 *                                                                         *
 *   You should have received a copy of the GNU General Public License     *
 *   along with this program; if not, write to the                         *
 *   Free Software Foundation, Inc.,                                       *
 *   51 Franklin Steet, Fifth Floor, Boston, MA 02110-1301, USA.             *
 ***************************************************************************/
#include "propertywidget.h"

// Core
#include "core/direktorinstance.h"
#include "core/elementdatabase.h"

// Elements
#include "elements/elementselection.h"

// Dockers
#include "attributelistview.h"

PropertyWidget::PropertyWidget(QWidget *parent, const char *name)
    : DDocker(parent, name)
{
  m_listview = new AttributeListView(this, name);
  m_listview->setSizePolicy(QSizePolicy::Ignored, QSizePolicy::Ignored);
  m_listview->addColumn( "Attribute" );
  m_listview->addColumn( "Value" );
  m_listview->setSorting(-1);

  Kast::self()->elementDB().selection().addElementSelectionListener(m_listview);
  Kast::self()->elementDB().addElementListener(m_listview);
}

PropertyWidget::~PropertyWidget()
{}

void PropertyWidget::resizeEvent ( QResizeEvent *e )
{
  m_listview->resize(e->size());
}

#include "propertywidget.moc"
