/***************************************************************************
 *   Copyright (C) 2004 by Hans Oischinger                                 *
 *   hans.oischinger@kdemail.net                                           *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 *   This program is distributed in the hope that it will be useful,       *
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
 *   GNU General Public License for more details.                          *
 *                                                                         *
 *   You should have received a copy of the GNU General Public License     *
 *   along with this program; if not, write to the                         *
 *   Free Software Foundation, Inc.,                                       *
 *   51 Franklin Steet, Fifth Floor, Boston, MA 02110-1301, USA.             *
 ***************************************************************************/
#include "defselement.h"

#include "animatedtransformlist.h"

DefsElement::DefsElement()
 : GroupElement()
{
  setState(Element::hidden);
}

DefsElement::~DefsElement()
{
}

DefsElement::DefsElement( const DefsElement &other )
 : GroupElement()
{
  (*this) = other;
}

DefsElement& DefsElement::operator=(const DefsElement &other)
{
  GroupElement::operator=(other);
  return *this;
}

ElementNode* DefsElement::clone()
{
  DefsElement* retElem = new DefsElement();
  *retElem = *this;
  return ( retElem );
}

Attribute* DefsElement::getAttrByName( const QString & name )
{
  return GroupElement::getAttrByName(name);
}

#include "defselement.moc"
