/*
Copyright 2008  Nathan Bradshaw nathanlbradshaw@gmail.com

This library is free software; you can redistribute it and/or
modify it under the terms of the GNU Lesser General Public
License as published by the Free Software Foundation; either
version 2.1 of the License, or (at your option) version 3, or any
later version accepted by the membership of KDE e.V. (or its
successor approved by the membership of KDE e.V.), which shall
act as a proxy defined in Section 6 of version 3 of the license.

This library is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
Lesser General Public License for more details.

You should have received a copy of the GNU Lesser General Public 
License along with this library.  If not, see <http://www.gnu.org/licenses/>.
*/

#ifndef MUSICBRAINZQUERY_H
#define MUSICBRAINZQUERY_H

#include <QtCore/QString>
#include "httpquery.h"
#include "response.h"

#include "musicbrainz_export.h"

/** Namespace for KDE musicbrainz library */
namespace KMusicbrainz { 
class MUSICBRAINZ_EXPORT MusicbrainzQuery : public ServiceModel::HttpQuery {
   Q_OBJECT
   
   public:
      enum ReleaseTypeEnum {
         OFFICIAL,
         BOOTLEG,
         ALBUM,
         COMPILATION
      };
      Q_DECLARE_FLAGS(ReleaseType, ReleaseTypeEnum)
      
      enum ArtistReleaseTypeEnum {
         ALL_SINGLE_ARTIST_RELEASES,
         ALL_VARIOUS_ARTIST_RELEASES
      };
      Q_DECLARE_FLAGS(ArtistReleaseType, ArtistReleaseTypeEnum)
      
      explicit MusicbrainzQuery (ServiceModel::Service *service, QObject *parent = 0);
      virtual ~MusicbrainzQuery();
      
      virtual QString getCollectionName()=0;
      
   protected:
      
      
   private:
      
   protected slots :
      //void receiveData(KIO::Job*, const QByteArray data);
      
};
} 
#endif //MUSICBRAINZQUERY_H

