/* This file is NOT part of KDE ;)
   Copyright (C) 2007 Andreas Hartmetz <ahartmetz@gmail.com>

   This application is free software; you can redistribute it and/or
   modify it under the terms of the GNU Library General Public
   License as published by the Free Software Foundation; either
   version 2 of the License, or (at your option) any later version.

   This library is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
   Library General Public License for more details.

   You should have received a copy of the GNU Library General Public License
   along with this library; see the file COPYING.LIB.  If not, write to
   the Free Software Foundation, Inc., 51 Franklin Street, Fifth Floor,
   Boston, MA 02110-1301, USA.
*/
#ifndef MIXERWIDGET_H
#define MIXERWIDGET_H


#include <QtGui/QWidget>

class QPainter;
class KUrl;

/**
 * @short Phonon mixer widget
 * @author Andreas Hartmetz <ahartmetz@gmail.com>
 * @version 0.1
 */

namespace Phonon
{
namespace Mixer
{
class MixerControl;
class MixerControlSet;

class MixerWidget : public QWidget
{
    Q_OBJECT
public:
    /**
     * Default constructor
     */
    MixerWidget(const MixerControl &ctrl, QWidget *parent);

    MixerWidget(const MixerControlSet &ctrlSet, QWidget *parent);

    /**
     * Destructor
     */
    virtual ~MixerWidget();

private slots:
    void showNewValue(int value);
    void showNewValue(bool value);
    void updateButton(bool state);

private:
    MixerControl *m_control;
    MixerControlSet *m_controlSet;
};

} // namespace Mixer
} // namespace Phonon

#endif // MIXERWIDGET_H
