/*  This file is part of the KDE project
    Copyright (C) 2008 Matthias Kretz <kretz@kde.org>

    This program is free software; you can redistribute it and/or
    modify it under the terms of the GNU Library General Public
    License as published by the Free Software Foundation; either
    version 2 of the License, or (at your option) version 3.

    This library is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
    Library General Public License for more details.

    You should have received a copy of the GNU Library General Public License
    along with this library; see the file COPYING.LIB.  If not, write to
    the Free Software Foundation, Inc., 51 Franklin Street, Fifth Floor,
    Boston, MA 02110-1301, USA.

*/

#ifndef PHONON_PCMIODRIVERINTERFACE_H
#define PHONON_PCMIODRIVERINTERFACE_H

namespace Phonon
{

class PcmIODriverInterface
{
    friend class PcmIODevice;
    public:
        virtual bool open(const AudioOutputDevice &outputDevice, const AudioCaptureDevice &captureDevice = AudioCaptureDevice()) = 0;
        virtual void close() = 0;
        virtual qint64 readData(char *data, qint64 maxSize) = 0;
        virtual qint64 writeData(const char *data, qint64 maxSize) = 0;

    protected:
};

} // namespace Phonon

Q_DECLARE_INTERFACE(Phonon::PcmIODriverInterface, "0PcmIODriverInterface.phonon.kde.org")

#endif // PHONON_PCMIODRIVERINTERFACE_H
